Bug 2190050 - all crash analysis fails
Summary: all crash analysis fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 37
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Michal Srb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-04-26 23:51 UTC by Paul DeStefano
Modified: 2023-05-02 02:19 UTC (History)
5 users (show)

Fixed In Version: abrt-2.16.1-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-05-02 02:19:09 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Paul DeStefano 2023-04-26 23:51:10 UTC
I didn't realize this was a problem, since I have had ABRT fail to analyze crash data before. But, for a while now, all my crash reports have failed to retrace properly.  I don't understand why.

Reproducible: Always

Steps to Reproduce:
1. For any crash
2. Start ABRT, select crash, click "Report" button 
3. retrace job fails
Actual Results:  
Analyzing crash data
................................................................................
.......................................
Retrace job failed
Retrace failed. Try again later and if the problem persists report this issue please.

Expected Results:  
should allow me to report crash.

Comment 1 Michal Srb 2023-04-27 05:13:47 UTC
Thanks for the bug report. I am going create an update with abrt+libreport which relies on debuginfod for retracing by default.

Comment 2 Paul DeStefano 2023-04-27 05:47:32 UTC
Okay, thank you!  I don't quite follow, but sounds like you know what's up.  Excellent!

Let me know if I can help in some way.

Comment 3 Fedora Update System 2023-04-27 07:03:00 UTC
FEDORA-2023-0de6457ef5 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-0de6457ef5

Comment 4 Fedora Update System 2023-04-28 03:40:40 UTC
FEDORA-2023-0de6457ef5 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-0de6457ef5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-0de6457ef5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Paul DeStefano 2023-04-28 09:08:10 UTC
Thanks, it works.

Comment 6 Michal Srb 2023-04-28 12:15:41 UTC
Thank you for reporting the problem and testing the update ;)

Comment 7 Fedora Update System 2023-05-02 02:19:09 UTC
FEDORA-2023-0de6457ef5 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.